curl -X GET https://api.finscreener.in/api/offers/my-active \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
"https://api.finscreener.in/api/offers/my-active",
headers={"Authorization": f"Bearer {token}"}
)
active_offers = response.json()
[
{
"offer_id": "offer_pro_monthly",
"offer_name": "Professional Monthly",
"activated_at": "2026-03-01T00:00:00Z",
"expires_at": "2026-03-31T23:59:59Z",
"features": ["Recent_GST", "API_ACCESS"],
"status": "active"
}
]
[]
User & Subscriptions
Active Offers
Get user’s active offer subscriptions
GET
/
api
/
offers
/
my-active
curl -X GET https://api.finscreener.in/api/offers/my-active \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
"https://api.finscreener.in/api/offers/my-active",
headers={"Authorization": f"Bearer {token}"}
)
active_offers = response.json()
[
{
"offer_id": "offer_pro_monthly",
"offer_name": "Professional Monthly",
"activated_at": "2026-03-01T00:00:00Z",
"expires_at": "2026-03-31T23:59:59Z",
"features": ["Recent_GST", "API_ACCESS"],
"status": "active"
}
]
[]
Retrieve the current user’s active (non-expired) offer activations.
Headers
string
required
Bearer token:
Bearer <access_token>Response
Returns an array of active offer activations with plan details, activation date, and expiration.curl -X GET https://api.finscreener.in/api/offers/my-active \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
"https://api.finscreener.in/api/offers/my-active",
headers={"Authorization": f"Bearer {token}"}
)
active_offers = response.json()
[
{
"offer_id": "offer_pro_monthly",
"offer_name": "Professional Monthly",
"activated_at": "2026-03-01T00:00:00Z",
"expires_at": "2026-03-31T23:59:59Z",
"features": ["Recent_GST", "API_ACCESS"],
"status": "active"
}
]
[]